Package org.gradle.api.artifacts.dsl

# Enum LockMode

java.lang.Object
java.lang.Enum<LockMode>
org.gradle.api.artifacts.dsl.LockMode

All Implemented Interfaces:
  `Serializable`, `Comparable<LockMode>`, `Constable`

public enum LockMode extends Enum<LockMode>
The supported lock modes:

- `DEFAULT` will load the lock state and verify resolution matches it
- `STRICT` in addition to the `DEFAULT` behaviour, will fail resolution if a locked configuration does not have lock state defined
- `LENIENT` will load the lock state, to anchor dynamic versions, but otherwise be lenient about modifications of the dependency resolution, allowing versions to change and module to be added or removed

Since:
  6.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  `LENIENT`
  `STRICT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LockMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LockMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRICT

    public static final LockMode STRICT

  - ### DEFAULT

    public static final LockMode DEFAULT

  - ### LENIENT

    public static final LockMode LENIENT

- ## Method Details

  - ### values

    public static LockMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LockMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null